إعداد محرك ASP.NET للعمل مع IIS

This article is available in English too, check it out here.

المشكلة

المشكلة تكمن عندما تقوم بتنصيب IIS على نظام التشغيل بعد تنصيب ASP.NET، فتجد أن IIS مازال يعمل على المحرك الأقدم وهو مثلا الإصدار 2.0 من ASP.NET (المتوفر في نظام التشغيل وقت تنصيب IIS،) مما يجعل من الصعب تشغيل أي برنامج ويب تم تطويره باستخدام إصدار أحدث من الـ ASP.NET.

حل المشكلة

الحل بسيط، بالطبع لن نقوم بحل المشكلة بإعادة تنصيب الدوت نت فريموورك أو ASP.NET. بدلا من ذلك، سوف نقوم بإعادة تطبيق الإعدادات اللازمة لتشغيل ASP.NET الإصدار الأحدث على IIS.

لمتابعة المشكلة، قم بفتح نافذة إدارة IIS Manager، ثم اتجه إلى قائمة التطبيقات Application Pools. إذا كانت هناك مشكلة فستجد أن إصدار الـ ASP.NET المحدد مختلف عن الإصدار الحالي (شكل 1، الإعدادات تعتمد الإصدار الثاني بينما أحدث إصدار تم تنصيبه على الجهاز هو الإصدار الرابع!)

شكل 1 - دعم التطبيقات في IIS لـ ASP.NET 2.0

شكل 1 - دعم التطبيقات في IIS لـ ASP.NET 2.0

الحل يمكن في إعادة تطبيق إعدادات ASP.NET، ويتم ذلك عن طريق الأداة aspnet_regiis.exe والتي تقوم بإعادة تنصيب ASP.NET على IIS. وهذه الأداة موجودة في مجلد الدوت نت فريموورك في %windir%\Microsoft.NET\Framework\v (بالطبع قم بتبديل <version> بالإصدار الذي تريد اعتماده.)

لتشغيل هذه الأداة، أولا قم بإغلاق الـ IIS، ثم افتح Command Prompt من Start -> Run -> Cmd. أو إذا كنت تستخدم ويندوز فيستا أو ويندوز 7، قم بفتحها عن طريق Start ثم كتابة أمر Cmd ثم ضغط Ctrl + Shift + Enter وذلك لفتحها في وضع Admin وذلك للتمكن من تطبيق الإعدادات.

بعد فتح Cmd، يمكنك الآن الاتجاه إلى المجلد الدوت نت فريموورك:

%windir%\Microsoft.NET\Framework\v<version>

ثم، قم بتشغيل وتنفيذ أمر تطبيق الإعدادات وهو كالتالي:

aspnet_regiis.exe -i

عندما تنتهي الأداة من عملها سوف تظهر لك رسالة تفيد إتمام العملية بنجاح.

تهانينا، انتهيت من حل المشكلة!

الآن اتجه إلى Application Pools في IIS فتجد أن الإصدار الذي قمت بتحديده تم اعتماده بنجاح (شكل 2.)

شكل 2 - دعم التطبيقات في IIS لـ ASP.NET 4.0

شكل 2 - دعم التطبيقات في IIS لـ ASP.NET 4.0

دمتم بأطيب حال!

مواضيع مشابهة:

اخترنا لك:

أحدث المواضيع:

هل أعجبتك؟ شارك بها...